rpm: Transaction Element API.

rpm 4.20.0 The RPM Package Manager

Loading...
Searching...
No Matches
Files | Typedefs | Enumerations | Functions
Transaction Element API.
(un)Installing packages:

How to retrieve information from a transaction element. More...

Collaboration diagram for Transaction Element API.:

## Files
file | rpmte.h

## Typedefs
typedef enum rpmElementType_e | rpmElementType

## Enumerations
enum | rpmElementType_e { TR_ADDED = (1 << 0) , TR_REMOVED = (1 << 1) , TR_RPMDB = (1 << 2) , TR_RESTORED = (1 << 3) }

## Functions
Header | rpmteHeader (rpmte te)
Header | rpmteSetHeader (rpmte te, Header h)
rpmElementType | rpmteType (rpmte te)
const char * | rpmteN (rpmte te)
const char * | rpmteE (rpmte te)
const char * | rpmteV (rpmte te)
const char * | rpmteR (rpmte te)
const char * | rpmteA (rpmte te)
const char * | rpmteO (rpmte te)
int | rpmteIsSource (rpmte te)
rpm_color_t | rpmteColor (rpmte te)
rpm_color_t | rpmteSetColor (rpmte te, rpm_color_t color)
unsigned int | rpmteDBInstance (rpmte te)
void | rpmteSetDBInstance (rpmte te, unsigned int instance)
rpm_loff_t | rpmtePkgFileSize (rpmte te)
rpmte | rpmteParent (rpmte te)
rpmte | rpmteSetParent (rpmte te, rpmte pte)
rpmps | rpmteProblems (rpmte te)
void | rpmteCleanProblems (rpmte te)
void | rpmteCleanDS (rpmte te)
void | rpmteSetDependsOn (rpmte te, rpmte depends)
rpmte | rpmteDependsOn (rpmte te)
int | rpmteDBOffset (rpmte te)
const char * | rpmteEVR (rpmte te)
const char * | rpmteNEVR (rpmte te)
const char * | rpmteNEVRA (rpmte te)
fnpyKey | rpmteKey (rpmte te)
void | rpmteSetUserdata (rpmte te, void *data)
void * | rpmteUserdata (rpmte te)
int | rpmteFailed (rpmte te)
rpmds | rpmteDS (rpmte te, rpmTagVal tag)
rpmfiles | rpmteFiles (rpmte te)
int | rpmteVerified (rpmte te)
rpmtsi | rpmtsiFree (rpmtsi tsi)
rpmtsi | rpmtsiInit (rpmts ts)
rpmte | rpmtsiNext (rpmtsi tsi, rpmElementTypes types)

## Detailed Description

How to retrieve information from a transaction element.

## Typedef Documentation

## ◆ rpmElementType

typedef enum rpmElementType_e rpmElementType

Transaction element type.

## Enumeration Type Documentation

## ◆ rpmElementType_e

enum rpmElementType_e

Transaction element type.

Enumerator
TR_ADDED | Package will be installed.
TR_REMOVED | Package will be removed.
TR_RPMDB | Package from the rpmdb.
TR_RESTORED | Package will be restored.

## Function Documentation

## ◆ rpmteA()

const char * rpmteA | ( | rpmte | te | ) |

Retrieve arch string of transaction element.

Parameters

  te | transaction element

Returns
  arch string

## ◆ rpmteCleanDS()

void rpmteCleanDS | ( | rpmte | te | ) |

Destroy dependency set info of transaction element.

Parameters

  te | transaction element

## ◆ rpmteCleanProblems()

void rpmteCleanProblems | ( | rpmte | te | ) |

Destroy problem set info of transaction element.

Parameters

  te | transaction element

## ◆ rpmteColor()

rpm_color_t rpmteColor | ( | rpmte | te | ) |

Retrieve color bits of transaction element.

Parameters

  te | transaction element

Returns
  color bits

## ◆ rpmteDBInstance()

unsigned int rpmteDBInstance | ( | rpmte | te | ) |

Retrieve last instance installed to the database.

Parameters

  te | transaction element

Returns
  last install instance.

## ◆ rpmteDBOffset()

int rpmteDBOffset | ( | rpmte | te | ) |

Retrieve rpmdb instance of transaction element.

Parameters

  te | transaction element

Returns
  rpmdb instance (0 if not installed))

## ◆ rpmteDependsOn()

rpmte rpmteDependsOn | ( | rpmte | te | ) |

Retrieve dependent element of transaction element.

Parameters

  te | transaction element

Returns
  dependent transaction element

## ◆ rpmteDS()

rpmds rpmteDS | ( | rpmte | te,
|  | rpmTagVal | tag )

Retrieve dependency tag set from transaction element.

Parameters

  te | transaction element
  tag | dependency tag

Returns
  dependency tag set

## ◆ rpmteE()

const char * rpmteE | ( | rpmte | te | ) |

Retrieve epoch string of transaction element.

Parameters

  te | transaction element

Returns
  epoch string

## ◆ rpmteEVR()

const char * rpmteEVR | ( | rpmte | te | ) |

Retrieve [epoch:]version-release string from transaction element.

Parameters

  te | transaction element

Returns
  [epoch:]version-release string

## ◆ rpmteFailed()

int rpmteFailed | ( | rpmte | te | ) |

Return failure status of transaction element. If the element itself failed, this is 1, larger count means one of it's parents failed.

Parameters

  te | transaction element

Returns
  number of failures for this transaction element

## ◆ rpmteFiles()

rpmfiles rpmteFiles | ( | rpmte | te | ) |

Retrieve file info set from transaction element.

Parameters

  te | transaction element

Returns
  file info set (refcounted)

## ◆ rpmteHeader()

Header rpmteHeader | ( | rpmte | te | ) |

Retrieve header from transaction element.

Parameters

  te | transaction element

Returns
  header (new reference)

## ◆ rpmteIsSource()

int rpmteIsSource | ( | rpmte | te | ) |

Retrieve isSource attribute of transaction element.

Parameters

  te | transaction element

Returns
  isSource attribute

## ◆ rpmteKey()

fnpyKey rpmteKey | ( | rpmte | te | ) |

Retrieve key from transaction element.

Parameters

  te | transaction element

Returns
  key

## ◆ rpmteN()

const char * rpmteN | ( | rpmte | te | ) |

Retrieve name string of transaction element.

Parameters

  te | transaction element

Returns
  name string

## ◆ rpmteNEVR()

const char * rpmteNEVR | ( | rpmte | te | ) |

Retrieve name-[epoch:]version-release string from transaction element.

Parameters

  te | transaction element

Returns
  name-[epoch:]version-release string

## ◆ rpmteNEVRA()

const char * rpmteNEVRA | ( | rpmte | te | ) |

Retrieve name-[epoch:]version-release.arch string from transaction element.

Parameters

  te | transaction element

Returns
  name-[epoch:]version-release.arch string

## ◆ rpmteO()

const char * rpmteO | ( | rpmte | te | ) |

Retrieve os string of transaction element.

Parameters

  te | transaction element

Returns
  os string

## ◆ rpmteParent()

rpmte rpmteParent | ( | rpmte | te | ) |

Retrieve parent transaction element.

Parameters

  te | transaction element

Returns
  parent transaction element

## ◆ rpmtePkgFileSize()

rpm_loff_t rpmtePkgFileSize | ( | rpmte | te | ) |

Retrieve size in bytes of package file.

Todo
  Signature header is estimated at 256b.

Parameters

  te | transaction element

Returns
  size in bytes of package file.

## ◆ rpmteProblems()

rpmps rpmteProblems | ( | rpmte | te | ) |

Return problem set info of transaction element.

Parameters

  te | transaction element

Returns
  problem set (or NULL if none)

## ◆ rpmteR()

const char * rpmteR | ( | rpmte | te | ) |

Retrieve release string of transaction element.

Parameters

  te | transaction element

Returns
  release string

## ◆ rpmteSetColor()

rpm_color_t rpmteSetColor | ( | rpmte | te,
|  | rpm_color_t | color )

Set color bits of transaction element.

Parameters

  te | transaction element
  color | new color bits

Returns
  previous color bits

## ◆ rpmteSetDBInstance()

void rpmteSetDBInstance | ( | rpmte | te,
|  | unsigned int | instance )

Set last instance installed to the database.

Parameters

  te | transaction element
  instance | Database instance of last install element.

## ◆ rpmteSetDependsOn()

void rpmteSetDependsOn | ( | rpmte | te,
|  | rpmte | depends )

Set dependent element of transaction element.

Parameters

  te | transaction element
  depends | dependent transaction element

## ◆ rpmteSetHeader()

Header rpmteSetHeader | ( | rpmte | te,
|  | Header | h )

Save header into transaction element.

Parameters

  te | transaction element
  h | header

Returns
  NULL always

## ◆ rpmteSetParent()

rpmte rpmteSetParent | ( | rpmte | te,
|  | rpmte | pte )

Set parent transaction element.

Parameters

  te | transaction element
  pte | new parent transaction element

Returns
  previous parent transaction element

## ◆ rpmteSetUserdata()

void rpmteSetUserdata | ( | rpmte | te,
|  | void * | data )

Set private user data of transaction element.

Parameters

  te | transaction element
  data | pointer to private user data

## ◆ rpmteType()

rpmElementType rpmteType | ( | rpmte | te | ) |

Retrieve type of transaction element.

Parameters

  te | transaction element

Returns
  type

## ◆ rpmteUserdata()

void * rpmteUserdata | ( | rpmte | te | ) |

Retrieve private user data of transaction element.

Parameters

  te | transaction element

Returns
  pointer to private user data

## ◆ rpmteV()

const char * rpmteV | ( | rpmte | te | ) |

Retrieve version string of transaction element.

Parameters

  te | transaction element

Returns
  version string

## ◆ rpmteVerified()

int rpmteVerified | ( | rpmte | te | ) |

Retrieve verification status from transaction element. Returns RPMSIG_UNVERIFIED_TYPE if no verify has been attempted, otherwise RPMSIG_SIGNATURE_TYPE and RPMSIG_DIGEST_TYPE bits will be set if that type of verification was successfully performed.

Parameters

  te | transaction element

Returns
  verification status

## ◆ rpmtsiFree()

rpmtsi rpmtsiFree | ( | rpmtsi | tsi | ) |

Destroy transaction element iterator.

Parameters

  tsi | transaction element iterator

Returns
  NULL always

## ◆ rpmtsiInit()

rpmtsi rpmtsiInit | ( | rpmts | ts | ) |

Create transaction element iterator.

Parameters

  ts | transaction set

Returns
  transaction element iterator

## ◆ rpmtsiNext()

rpmte rpmtsiNext | ( | rpmtsi | tsi,
|  | rpmElementTypes | types )

Return next transaction element of type.

Parameters

  tsi | transaction element iterator
  types | transaction element type selector (0 for any)

Returns
  next transaction element of type, NULL on termination